import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { ParkingLot } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-09-02 11:01
 */
interface ParkingLotCU extends ConditionUtil<ParkingLotCU> {
    LOT_ID: FieldUtil<ParkingLotCU>;
    LOT_NAME: FieldUtil<ParkingLotCU>;
    CREATE_TIME: FieldUtil<ParkingLotCU>;
    UPDATE_TIME: FieldUtil<ParkingLotCU>;
    STATE: FieldUtil<ParkingLotCU>;
    REMARK: FieldUtil<ParkingLotCU>;
    BIZ_STATUS: FieldUtil<ParkingLotCU>;
    TOTAL_NUM: FieldUtil<ParkingLotCU>;
    FREE_SPACE_NUM: FieldUtil<ParkingLotCU>;
}
declare class ParkingLotMU extends TableUtilImpl<ParkingLotCU, ParkingLot> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): ParkingLotCU;
    static get LOT_ID(): FieldUtil<ParkingLotCU>;
    static get LOT_NAME(): FieldUtil<ParkingLotCU>;
    static get CREATE_TIME(): FieldUtil<ParkingLotCU>;
    static get UPDATE_TIME(): FieldUtil<ParkingLotCU>;
    static get STATE(): FieldUtil<ParkingLotCU>;
    static get REMARK(): FieldUtil<ParkingLotCU>;
    static get BIZ_STATUS(): FieldUtil<ParkingLotCU>;
    static get TOTAL_NUM(): FieldUtil<ParkingLotCU>;
    static get FREE_SPACE_NUM(): FieldUtil<ParkingLotCU>;
    get LOT_ID(): FieldUtil<ParkingLotCU>;
    get LOT_NAME(): FieldUtil<ParkingLotCU>;
    get CREATE_TIME(): FieldUtil<ParkingLotCU>;
    get UPDATE_TIME(): FieldUtil<ParkingLotCU>;
    get STATE(): FieldUtil<ParkingLotCU>;
    get REMARK(): FieldUtil<ParkingLotCU>;
    get BIZ_STATUS(): FieldUtil<ParkingLotCU>;
    get TOTAL_NUM(): FieldUtil<ParkingLotCU>;
    get FREE_SPACE_NUM(): FieldUtil<ParkingLotCU>;
}
export { ParkingLotMU, ParkingLotCU };
